##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
# Modified 2002 Kelvin Mo
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
# 
##############################################################################

"""ZEverything catalog, that aids in searches for nodes and writeups
"""
__version__='0.5'


import Products.CMFCore.CatalogTool
from Globals import InitializeClass

class CatalogTool (Products.CMFCore.CatalogTool.CatalogTool):
    '''This is a ZCatalog that filters catalog queries.
    '''
    meta_type = 'ZEverything Catalog'


    def __init__(self):
        Products.CMFCore.CatalogTool.CatalogTool.__init__(self)

    def enumerateIndexes( self ):
        #   Return a list of ( index_name, type ) pairs for the initial
        #   index set.
        return ( ('nodeTitle', 'FieldIndex')
               , ('Creator', 'FieldIndex')
               , ('SearchableText', 'TextIndex')
               , ('Date', 'FieldIndex')
               , ('Type', 'FieldIndex')
               , ('created', 'FieldIndex')
               , ('effective', 'FieldIndex')
               , ('expires', 'FieldIndex')
               , ('modified', 'FieldIndex')
               , ('allowedRolesAndUsers', 'KeywordIndex')
               , ('review_state', 'FieldIndex')
               , ('rep', 'FieldIndex')
               , ('newsworthy', 'FieldIndex')
               , ('cools', 'FieldIndex')
               )
    
    def enumerateColumns( self ):
        """Return a sequence of schema names to be cached as metadata."""
        return ( 'Title'
               , 'Type'
               , 'review_state'
               , 'Creator'
               , 'Date'
               , 'getIcon'
               , 'created'
               , 'effective'
               , 'expires'
               , 'modified'
               , 'CreationDate'
               , 'EffectiveDate'
               , 'ExpiresDate'
               , 'ModificationDate'
               , 'newsworthy'
               , 'Subject'
               , 'reputation'
               , 'cools'
               )


InitializeClass(CatalogTool)
