##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
# Modified 2002 Kelvin Mo
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
# 
##############################################################################

"""
   A wrapper for user objects, exposing its properties
"""
__version__='0.6'

import Products.CMFCore.MemberDataTool


class MemberDataTool (Products.CMFCore.MemberDataTool.MemberDataTool):
    '''This tool wraps user objects, making them act as Member objects.
    '''
    meta_type = 'ZEverything Member Data Tool'

    def __init__(self):
        Products.CMFCore.MemberDataTool.MemberDataTool.__init__(self)
        self._setProperty('xp', 0, 'int')
        self._setProperty('mission', '', 'string')
        self._setProperty('specialities', '', 'string')
        self._setProperty('school', '', 'string')
        self._setProperty('level', 1, 'int')
        self._setProperty('daily_vote', 0, 'int')
        self._setProperty('daily_c', 0, 'int')
        self._setProperty('current_vote', 0, 'int')
        self._setProperty('current_c', 0, 'int')
        self._setProperty('rows', 20, 'int')
        self._setProperty('cols', 60, 'int')
        self._setProperty('softlink_gradient', 1, 'boolean')
        self._setProperty('new_writeup', 1, 'boolean')
        self._setProperty('writeup_message', 0, 'boolean')
        self._setProperty('blocks', ['epicentre','random', 'new_writeups'], 'tokens')
