
"""
"""

ADD_CONTENT_PERMISSION = 'Add portal content'
 
import Portal
import ZENode, UserNode, Bookmark
import Writeup
import PropertiesTool, CatalogTool, MembershipTool, MetadataTool, ActionsTool
import RegistrationTool, URLTool, WriteupTool, NodeTool, DublinCore
import MemberDataTool, MessageTool
from Products.CMFCore import utils
import Products.CMFCore
from Products.CMFCore.DirectoryView import registerDirectory
import DefaultWorkflow, WriteupWorkflow

contentClasses = ( ZENode.ZENode,
                   UserNode.UserNode,
                   Bookmark.Bookmark
                 )

contentConstructors = ( ZENode.addZENode,
                        UserNode.addUserNode,
                        Bookmark.addBookmark
                      )

bases = ((Portal.ZEverythingSite,
          DublinCore.DefaultDublinCoreImpl,
          Writeup.Writeup)
         + contentClasses)

tools = (CatalogTool.CatalogTool,
         ActionsTool.ActionsTool,
         WriteupTool.WriteupTool,
         MemberDataTool.MemberDataTool,
         MembershipTool.MembershipTool,
         RegistrationTool.RegistrationTool,
         PropertiesTool.PropertiesTool,
         URLTool.URLTool,
         MetadataTool.MetadataTool,
         NodeTool.NodeTool,
         MessageTool.MessageTool)

import sys
this_module = sys.modules[ __name__ ]

z_bases = utils.initializeBasesPhase1( bases, this_module )
z_tool_bases = utils.initializeBasesPhase1( tools, this_module )

zeverything_globals=globals()

# Make the skins available as DirectoryViews.
registerDirectory('skins', globals())
registerDirectory('help', globals())

def initialize(context):
    utils.initializeBasesPhase2(z_bases, context)
    utils.initializeBasesPhase2(z_tool_bases, context)
    utils.ToolInit('ZEverything Tool', tools=tools,
                   product_name='ZEverything', icon='tool.gif',
                   ).initialize(context)

    utils.ContentInit('ZEverything Content'
                     , content_types=contentClasses
                     , permission=ADD_CONTENT_PERMISSION
                     , extra_constructors=contentConstructors
                     , fti=Portal.factory_type_information
                     ).initialize(context)

    context.registerClass(Portal.ZEverythingSite,
                          constructors=(Portal.manage_addZEverythingForm,
                                        Portal.manage_addZEverything,
                                        ),
                          icon='images/zeverything.gif')
    utils.registerIcon(DefaultWorkflow.DefaultWorkflowDefinition,
                       'images/workflow.gif', globals())
    utils.registerIcon(WriteupWorkflow.WriteupWorkflowDefinition,
                       'images/workflow.gif', globals())


    context.registerHelp()
    context.registerHelpTitle('ZEverything Help')
